# Maintainer: OpenStage <openstagelinux@gmail.conf>

pkgbase=opentools
pkgname=('opentools-base' 'opentools-pkg' 'opentools-iso')
pkgver=0.26.2.testing
pkgrel=2
arch=('any')
pkgdesc='Development tools for OpenStage'
license=('GPL')
groups=('opentools')
url='https://gitea.artixlinux.org/artix/artools'
source=("${pkgbase}.tar.gz")
md5sums=('3d07962834c191c1504db9874ece485e')

prepare() {
    cd ${pkgbase}
    sed -e "s/^VERSION=.*/VERSION=${pkgver}/" -i Makefile
    #patch -Np 1 -i ../comparepkg-fix.patch
}

build() {
    cd ${pkgbase}
    make PREFIX=/usr
}

package_opentools-base() {
    pkgdesc='Development tools for OpenStage (base tools)'
    depends=('os-prober')
    optdepends=('opentools-pkg: OpenStage package tools'
                'opentools-iso: OpenStage iso tools')
    backup=('etc/opentools/opentools-base.conf')
    conflicts=('arch-install-scripts' 'artools-base')
    provides=('artools-base')
    replaces=('artools-base')

    cd ${pkgbase}
    make PREFIX=/usr DESTDIR=${pkgdir} install_base
}

package_opentools-pkg() {
    pkgdesc='Development tools for OpenStage (packaging tools)'
    depends=('opentools-base' 'namcap' 'git-subrepo' 'rsync')
    conflicts=('devtools' 'artools-pkg')
    provides=('artools-pkg')
    replaces=('artools-pkg')

    backup=('etc/opentools/opentools-pkg.conf')

    cd ${pkgbase}
    make PREFIX=/usr DESTDIR=${pkgdir} install_pkg
}

package_opentools-iso() {
    pkgdesc='Development tools for OpenStage (ISO tools)'
    depends=('opentools-base' 'iso-profiles' 'grub'
            'dosfstools' 'squashfs-tools' 'libisoburn')
    conflicts=('archiso' 'artools-iso')
    provides=('artools-iso')
    replaces=('artools-iso')
    backup=('etc/opentools/opentools-iso.conf')

    cd ${pkgbase}
    make PREFIX=/usr DESTDIR=${pkgdir} install_iso
}
